unit uvates;

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, ComCtrls,
  uRobotHttpPost,
  uInicioYFinal, usalasdejuego, unino34A0;

type

  { TFormVates }

  TFormVates = class(TForm)
    btCargarSala: TButton;
    btConsultar: TButton;
    eurl_pronostico: TLabeledEdit;
    ecron_muestreo: TLabeledEdit;
    eArchiSala: TLabeledEdit;
    memo_consulta: TMemo;
    OpenDialog1: TOpenDialog;
    pcTablero: TPageControl;
    tsDespacho_C01: TTabSheet;
    tsPronosticos: TTabSheet;
    procedure btCargarSalaClick(Sender: TObject);
    procedure btConsultarClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure eArchiSala1Change(Sender: TObject);
    procedure ecron_muestreo_demandaChange(Sender: TObject);
    procedure ecron_muestreo_eolicaChange(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure gbProduccionFotovoltaicaClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    carpetaSala: string;
    sala: TSalaDeJuego;
  end;

var
  FormVates: TFormVates;

implementation

{$R *.lfm}

{ TFormVates }

procedure TFormVates.btCargarSalaClick(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    eArchiSala.Text := OpenDialog1.FileName;
    try
      carpetaSala := extractFilePath(eArchiSala.Text);
      chdir(carpetaSala);
      Sala := TSalaDeJuego.CargarSala(eArchiSala.Text, '', True);
    except
      begin
        MessageDlg('Error cargando la Sala', mtError, [mbOK], 0);
        exit;
      end;
    end;
  end;
end;

procedure TFormVates.btConsultarClick(Sender: TObject);
var
  rbt: TRobotHttpPost;
begin
  memo_consulta.Clear;
  rbt:= TRobotHttpPost.Create( eurl_pronostico.text, '+inicio', '+fin');
  memo_consulta.Lines:= rbt.post('GET' );
  rbt.Free;
end;

procedure TFormVates.Button1Click(Sender: TObject);
var
  n34info: TN34Info;
begin
  n34info:= TN34Info.Create( 2014, 1 );

  n34info.free;
end;

procedure TFormVates.eArchiSala1Change(Sender: TObject);
begin

end;

procedure TFormVates.ecron_muestreo_demandaChange(Sender: TObject);
begin

end;

procedure TFormVates.ecron_muestreo_eolicaChange(Sender: TObject);
begin

end;

procedure TFormVates.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  if sala <> nil then
  begin
    sala.Free;
    sala:= nil;
  end;
  uInicioYFinal.Alfinal;
end;

procedure TFormVates.FormCreate(Sender: TObject);
begin
  sala:= nil;
  carpetaSala:= '';
  uInicioYFinal.Alinicio;
end;

procedure TFormVates.gbProduccionFotovoltaicaClick(Sender: TObject);
begin

end;

end.

